#
# spec file for package php5-pear-phpunit-PHP_CodeCoverage
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-phpunit-PHP_CodeCoverage
%define pear_name  PHP_CodeCoverage
%define pear_sname php_codecoverage
Summary:        PHP code coverage information
License:        BSD-3-Clause
Group:          Development/Libraries/PHP
Version:        1.2.13
Release:        3.1
Source0:        http://pear.phpunit.de/get/%{pear_name}-%{version}.tgz
Url:            http://pear.phpunit.de/
Requires:       php5-pear-channel-phpunit
Requires:       php5-pear-phpunit-File_Iterator >= 1.3.0
Requires:       php5-pear-phpunit-PHP_TokenStream >= 1.1.3
Requires:       php5-pear-phpunit-Text_Template >= 1.1.1
BuildRequires:  php-macros
BuildRequires:  php5-pear
BuildRequires:  php5-pear-channel-phpunit
BuildRequires:  php5-pear-phpunit-File_Iterator >= 1.3.0
BuildRequires:  php5-pear-phpunit-PHP_TokenStream >= 1.1.3
BuildRequires:  php5-pear-phpunit-Text_Template >= 1.1.1
BuildArch:      noarch

# Fix for renaming (package convention)
Provides:       pear-%{pear_name}
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_name}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Library that provides collection, processing, and rendering functionality for PHP code coverage information.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__mkdir_p} %{buildroot}%{php_peardir}/.channels/
%{__cp} %{php_peardir}/.channels/pear.*.reg \
%{buildroot}%{php_peardir}/.channels/

%{__pear} -v \
        -d doc_dir=/%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf "%{buildroot}"/%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
%doc %{_docdir}/%{pear_name}

%changelog
* Sat Nov 23 2013 gerrit.beine@gmx.de
- Update to version 1.2.13
  * Fixed the origin of the coordinate system for the dashboard
  charts
* Sun Aug  4 2013 robert.munteanu@gmail.com
- Updated to version 1.2.12
  * Fixed #173: JavaScript error in the HTML report.
  * Fixing an issue where an anonymous function as the last "method"
  in a class would cause the coverage report to ignore the rest.
- Updated to version 1.2.11
  * Fixed #151: Blacklisted PHPUnit Phar.
  * Fixed sebastianbergmann/phpunit#924.
- Updated to version 1.2.10
  * Fixed #158: Executable code on a line that has a comment is
  processed incorrectly.
  * Eliminated the coupling to PHPUnit_Util_Printer in
  PHP_CodeCoverage_Report_Text.
- Updated to version 1.2.9
  * Improved rendering of "lines covered" numbers for functions and
  methods with long names or argument lists.
  * Fixed the title of the Y axis of the Code Coverage ./. Cyclomatic
  Complexity dashboard chart.
  * Upgraded to Highcharts 2.3.5.
  * Upgraded to jQuery 1.9.1.
- Updated to version 1.2.8
  * Reduced vertical whitespace in sourcecode view.
  * Upgraded to Bootstrap 2.2.2.
- Updated to version 1.2.7
  * The html5shiv.js is now bundled.
  * Fixed sebastianbergmann/phpunit#702: @coversNothing didn't work
  as documented.
- Updated to version 1.2.6
  * Fixed #126: E_NOTICE thrown when generating coverage report.
- Updated to version 1.2.5
  * Fixed regression introduced in PHP_CodeCoverage 1.2.4.
- Updated to version 1.2.4
  * Fixed #123: Incorrect code coverage for interfaces.
- Updated to version 1.2.3
  * Implemented #116: Do not rely on autoloader class map to
  populate blacklist.
  * Added support for parentheses after method names in the @covers
  annotation.
  * When addUncoveredFilesFromWhitelist=FALSE is set then files that
  are whitelisted but not covered by a single test are now excluded
  from the code coverage.
  * Fixed #81: Non-english locales broke the coverage bars in the
  HTML report.
  * Fixed #118: Percentage for tested classes and traits displayed
  incorrectly.
  * Fixed #121: One line @covers annotations did not work.
- Updated to version 1.2.2
  * Fixed #115: Backwards compatibility wrapper for trait_exists()
  does not work.
- Updated to version 1.2.1
  * Fixed invalid markup in the HTML report.
  * The version number is now displayed when using PHP_CodeCoverage
  from a Composer install or Git checkout.
- Updated to version 1.2.0
  * The HTML report has been redesigned.
  * The new @coversDefaultClass annotation enables short @covers
  annotations when working with long class names or namespaces.
  * The new @coversNothing annotation can be used so tests do not
  record any code coverage. Useful for integration testing.
  * When processUncoveredFilesFromWhitelist=FALSE is set then files
  that are whitelisted but not covered by a single test are now
  included in the code coverage but with all lines, including those
  that are not executable, counted as not executed.
  * PHP_CodeCoverage 1.2 is only supported on PHP 5.3.3 (or later) and
  PHP 5.4.7 (or later) is highly recommended.
* Sun Mar 11 2012 robert.munteanu@gmail.com
- Added missing Requires: php5-pear-phpunit-PHP_TokenStream
* Sat Feb 25 2012 robert.munteanu@gmail.com
- version 1.1.2
- Fixed #80: Whitelisted files that do not exist lead to errors.
- Fixed #91: Traits are not handled properly.
- Fixed notice in
  PHP_CodeCoverage_Util::resolveCoversToReflectionObjects().
- The callbable, implements, and insteadof keywords are now properly
  highlighted in the HTML report.
* Tue Feb 14 2012 lang@b1-systems.de
- license tag changed to BSD-3-Clause
* Sun Feb 12 2012 lang@b1-systems.de
- version 1.1.1
- fixed #74: Removed extraneous spaces in displayed paths in the HTML code coverage report.
- fixed #75: CRAP index missing from HTML code coverage report.
- this adresses https://bugzilla.novell.com/show_bug.cgi?id=714933 (already removed in previous 1.1.0RC4)
* Tue Sep 13 2011 lang@b1-systems.de
- version 1.1.0RC4
- Added support for merging serialized-to-disk `PHP_CodeCoverage` objects using `phpcov --merge`.
- Added support for traits.
- Added an option to disable the caching of `PHP_Token_Stream` objects to reduce the memory usage.
- Refactored the collection and processing of code coverage data improving code readability and performance.
- Refactored the generation of Clover XML and HTML reports improving code readability and testability.
- Removed the support for multiple blacklist groups.
- Removed the `PHP_CodeCoverage::getInstance()` and `PHP_CodeCoverage_Filter::getInstance()` methods.
- Replaced [RGraph](http://www.rgraph.net/) with [Highcharts JS](http://www.highcharts.com/) as the JavaScript chart library used for the HTML report's code coverage dashboard.
* Mon Aug 15 2011 lang@b1-systems.de
- initial successful build with version 1.0.4
